kind: pipeline
type: docker
name: build
steps:
  - name: production-offline
    image: plugins/docker
    settings:
      registry: registry.eigen.co.id
      repo: registry.eigen.co.id/eigen/${DRONE_REPO_NAME}-production-offline
      tags: ${DRONE_TAG}
      build_args:
        - env_target=env.production-offline
        - release_version=${DRONE_TAG}
  - name: production-online
    image: plugins/docker
    settings:
      registry: registry.eigen.co.id
      repo: registry.eigen.co.id/eigen/${DRONE_REPO_NAME}-production-online
      tags: ${DRONE_TAG}
      build_args:
        - env_target=env.production-online
        - release_version=${DRONE_TAG}
trigger:
  ref:
    - refs/tags/*-production.*